<template>
    <div style="padding: 10px;border: 1px solid #cdcdcd;height: 100vh;">
        <div v-for="(item, $index) in allItems" :data="item" :is="item.el" :index="$index"></div>
    </div>
</template>

<script>
    import {mapGetters} from 'vuex'
    import TextField from './FormFields/TextField'
    import CheckboxField from './FormFields/CheckboxField'

    export default {
        components: {TextField, CheckboxField},
        computed: {
            ...mapGetters(['allItems'])
        },
    }
</script>